 .shadow {
     border-radius: 2px;
     -webkit-box-shadow: 0 2px 12px 0 rgba(0, 0, 0, .1);
     -moz-box-shadow: 0 2px 12px 0 rgba(0, 0, 0, .1);
     box-shadow: 0 2px 12px 0 rgba(0, 0, 0, .1);
     background-color: white;
     margin-bottom: 8px;
     padding: 16px 24px;
     word-wrap: break-word;
 }

 .table-area {
     overflow-x: auto;
 }

 table {
     border-collapse: collapse;
     /*使用单一线条的边框*/
     margin: 10px auto;
     table-layout: fixed;
     word-break: break-word;
     empty-cells: show;
     /*单元格无内容依旧绘制边框*/
     min-width: 100%;
     border-color: grey;
     text-align: center;
 }

 table td,
 table th {
     white-space: nowrap;
     /*表头内容强制在一行显示*/
     border: 1px solid #e9eaec;
     height: 30px;
     padding-left: 10px;
     padding-right: 10px;
     color: #495060;
     font-size: 12px;
 }

 table th {
     background-color: #F8F8F9;
 }

 table tr:nth-child(odd) {
     background: #fff;
 }

 table tr:nth-child(even) {
     background: #F8F8F9;
 }

 table tr:hover {
     background: #efefef;
 }

 .content ul li {
     list-style-type: disc;
     margin: 0 16px 16px 20px;
 }

 .content ol li {
     list-style-type: decimal;
     margin: 0 16px 16px 20px;
 }

 .content li ol,
 .content li ul {
     margin: 10px 0;
 }

 .content li li {
     list-style-type: circle;
 }

 .content li li li {
     list-style-type: square;
 }

 pre {
     overflow-y: hidden;
     overflow-x: auto;
 }

 code {
     padding: 1px;
     border-radius: 2px;
     font-family: Menlo, Monaco, Consolas, Courier New, monospace;
     font-size: 14px;
     background-color: #fff5f5;
     color: #ff502c;
 }

 code::before,
 code::after {
     letter-spacing: -.2em;
     content: "\00a0";
 }

 pre code {
     background: rgba(27, 31, 35, .05);
     border-radius: 3px;
     white-space: pre;
     word-wrap: normal;
     padding: 8px 12px !important;
     line-height: 20px;
     font-size: 12px;
 }

 pre code::before,
 pre code::after {
     letter-spacing: 0;
     content: '';
 }

 pre {
     position: relative
 }

 pre:hover .hljs-button {
     display: block
 }

 .content p {
     line-height: 26px;
     margin: 16px 0;
 }

 blockquote {
     margin: 14px 0;
     padding: 10px 20px 10px 15px;
     font-size: 14px;
     border-left: 3px solid #4CAF50;
     background-color: #e7f6ed;
     color: rgb(136, 136, 136);
 }

 blockquote p {
     line-height: 1.6;
     word-wrap: break-word;
     margin: 0;
 }

 h1 {
     font-size: 22px;
     font-weight: 400;
     margin: 16px 0;
 }

 h2 {
     font-size: 20px;
     padding-bottom: 8px;
     margin-top: 35px;
     margin-bottom: 10px;
     border-bottom: 1px solid rgb(221, 221, 221);
     line-height: 1.225;
 }

 h3 {
     font-size: 18px;
     margin-top: 35px;
     margin-bottom: 10px;
 }

 img {
     display: block;
     margin: 12px auto;
     max-width: 100%;
     cursor: zoom-in;
     cursor: -moz-zoom-in;
     cursor: -webkit-zoom-in;
 }

 summary {
     cursor: pointer;
     outline: none;
 }

 .hljs-button {
     display: none;
     position: absolute;
     right: 4px;
     top: 4px;
     font-size: 12px;
     color: white;
     padding: 2px 8px;
     margin: 2px;
     cursor: pointer;
 }

 .text-secondary {
     font-size: .8rem !important;
     color: #6c757d !important;
 }

 .badge-a {
     display: inline-block;
     font-size: 0.75rem;
     color: #00965e;
     padding: 0 .375rem;
     height: 1.5rem;
     line-height: 1.5rem;
     border-radius: .1875rem;
     background-color: rgba(0, 150, 94, .1);
     text-decoration: none;
     margin: .25rem !important;
 }

 .badge-a:hover {
     color: #004a2e;
     background-color: rgba(0, 150, 94, .2);
 }

 img {
     display: block;
     margin: 12px auto;
     max-width: 100%;
     cursor: zoom-in;
     cursor: -moz-zoom-in;
     cursor: -webkit-zoom-in;
 }

 .bg-img {
     display: -webkit-box;
     -webkit-box-align: center;
     -webkit-box-pack: center;
     -moz-box-align: center;
     -moz-box-pack: center;
     position: fixed;
     top: 0;
     left: 0;
     height: 100%;
     width: 100%;
     z-index: 99999999;
     background: rgba(255, 255, 255, 0.8);
     overflow: auto;
 }

 .zoom-in {
     cursor: -moz-zoom-in;
     cursor: -webkit-zoom-in;
     cursor: zoom-in;
 }

 .zoom-out {
     max-width: none;
     cursor: -moz-zoom-out;
     cursor: -webkit-zoom-out;
     cursor: zoom-out;
 }

 .post-navigation {
     display: flex;
     gap: 10px;
 }

 .post-navigation-item {
     flex: 1;
     min-width: 0;
     line-clamp: 2;
 }

 .star-link {
     color: #8a8a8a;
     display: block;
     text-align: center;
     margin-bottom: 30px;
     text-decoration: none;
 }

 .star-link:visited {
     color: #8a8a8a;
 }

 .promotion-img {
     display: block;
     margin: 12px auto;
     max-width: 50%;
 }


 .list-widget {
     margin-bottom: 8px;
     padding: 0 24px;
 }

 .list-widget-section {
     border-bottom: 1px solid #4CAF50;
     padding: 16px 24px 12px 24px;
 }

 .list-widget-title {
     font-size: 14px;
     font-weight: bold;
     vertical-align: text-top;
 }

 .list-widget-action {
     float: right;
     color: #8a8a8a;
     font-size: 12px;
     text-decoration: none;
     line-height: 22px;
     max-height: 44px;
     cursor: pointer;
 }

 .list-widget ul,
 .list-widget li {
     list-style: none !important;
     margin: 0 !important;
     padding: 0 !important;
 }

 .list-widget li {
     transition: border-color .3s, background-color .3s, color .3s;
     padding: 8px 24px !important;
     margin: 0 -24px !important;
     outline: 0 !important;
 }

 .list-widget li:hover {
     background-color: #EFEEEE;
 }

 .list-widget li:not(:last-child) {
     border-bottom: 1px dashed #8a8a8a;
 }

 .list-widget li a {
     display: block;
     color: #8a8a8a;
     text-decoration: none;
     line-height: 22px;
     max-height: 44px;
     overflow: hidden;
     word-wrap: break-word;
 }

 .list-widget li span {
     font-size: 12px;
     line-height: 22px;
     color: #8a8a8a;
     display: block;
     white-space: nowrap;
     overflow: hidden;
     text-overflow: ellipsis
 }

 .list-widget a:active {
     color: #999;
 }

 .list-widget a:hover span {
     color: #000000;
 }